(function() {
    tinymce.PluginManager.add('wpsellmore_tc_button', function( editor, url ) {
        editor.addButton( 'wpsellmore_tc_button', {
            title: 'WPSellMore',
           // type: 'menubutton',
		   type: 'button',
		    icon: 'icon wpsellmore-own-icon',
            
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Add Payment Code',
                            body: [
							
							{
                                type: 'textbox',
                                name: 'paymentcode1',
								multiline: 'true',
								style: 'height: 100px',
                                label: 'Your Payment Button Code For Countries Supported By PayPal:',
								value: ''
                            },
							
							
							{
                                type: 'textbox',
                                name: 'paymentcode2',
								multiline: 'true',
								style: 'height: 100px',
                                label: 'Your Payment Button Code For Countries NOT Supported By PayPal:',
								value: ''
                            }
							
							
							
							
							],
                            onsubmit: function( wpsellmore ) {
                                
								$wpsellmore_content1 = "[wpsm target='paypal' ]"     + wpsellmore.data.paymentcode1 +   "[/wpsm]" ;
								$wpsellmore_content2 = "[wpsm target='rest' ]"     + wpsellmore.data.paymentcode2 +   "[/wpsm]" ;
								$wpsellmore_content3 = $wpsellmore_content1 + $wpsellmore_content2;
								
								editor.execCommand('mceInsertContent', false, $wpsellmore_content3);
								
                            }
                        });
                    }
              
        });
    });
})();